package com.supwisdom.dlpay.system.service;

import com.supwisdom.dlpay.framework.domain.TFunction;
import com.supwisdom.dlpay.framework.util.PageResult;
import com.supwisdom.dlpay.system.bean.FunctionSearchBean;

import java.util.List;
import java.util.Map;

public interface FunctionService {
  List<TFunction> getFunctionsByOperid(String operid);

  List<Map<String, Object>> getMenuTree(List<TFunction> funcList, String parentId);

  PageResult<TFunction> getFunctionsByKey(FunctionSearchBean param);
}
